com.hazelcast.config

## Class ExecutorConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.ExecutorConfig
  - - com.hazelcast.config.ExecutorConfigReadOnly

- All Implemented Interfaces:
    NamedConfig, DataSerializable, IdentifiedDataSerializable, com.hazelcast.nio.serialization.impl.Versioned

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class ExecutorConfigReadOnly
      extends ExecutorConfig

  Configuration for Executor(Read Only)

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.ExecutorConfig

      `DEFAULT_POOL_SIZE, DEFAULT_QUEUE_CAPACITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorConfigReadOnly(ExecutorConfig config)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExecutorConfig` | `setName(String name)` Deprecated. Sets the name of the executor task.
    `ExecutorConfig` | `setPoolSize(int poolSize)` Deprecated. Sets the number of executor threads per member for the executor.
    `ExecutorConfig` | `setQueueCapacity(int queueCapacity)` Deprecated. Sets the queue capacity of the executor task.
    `ExecutorConfig` | `setQuorumName(String quorumName)` Deprecated. Sets the quorum name for operations.
    `ExecutorConfig` | `setStatisticsEnabled(boolean statisticsEnabled)` Deprecated. Enables or disables statistics gathering on the executor task.

    - ### Methods inherited from class com.hazelcast.config.ExecutorConfig

      `equals, getAsReadOnly, getFactoryId, getId, getName, getPoolSize, getQueueCapacity, getQuorumName, hashCode, isStatisticsEnabled, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutorConfigReadOnly

          public ExecutorConfigReadOnly(ExecutorConfig config)

      Deprecated.

  - ### Method Detail

    - #### setName

          public ExecutorConfig setName(String name)

      Deprecated.
      Description copied from class: `ExecutorConfig`
      Sets the name of the executor task.
      Specified by:
        `setName` in interface `NamedConfig`
      Overrides:
        `setName` in class `ExecutorConfig`
      Parameters:
        `name` - the name of the executor task
      Returns:
        this executor config instance

    - #### setPoolSize

          public ExecutorConfig setPoolSize(int poolSize)

      Deprecated.
      Description copied from class: `ExecutorConfig`
      Sets the number of executor threads per member for the executor.
      Overrides:
        `setPoolSize` in class `ExecutorConfig`
      Parameters:
        `poolSize` - the number of executor threads per member for the executor
      Returns:
        this executor config instance

    - #### setQueueCapacity

          public ExecutorConfig setQueueCapacity(int queueCapacity)

      Deprecated.
      Description copied from class: `ExecutorConfig`
      Sets the queue capacity of the executor task. 0 means `Integer.MAX_VALUE`.
      Overrides:
        `setQueueCapacity` in class `ExecutorConfig`
      Parameters:
        `queueCapacity` - Queue capacity of the executor task. 0 means `Integer.MAX_VALUE`
      Returns:
        this executor config instance

    - #### setStatisticsEnabled

          public ExecutorConfig setStatisticsEnabled(boolean statisticsEnabled)

      Deprecated.
      Description copied from class: `ExecutorConfig`
      Enables or disables statistics gathering on the executor task.
      Overrides:
        `setStatisticsEnabled` in class `ExecutorConfig`
      Parameters:
        `statisticsEnabled` - `true` if statistics gathering is enabled on the executor task, `false` otherwise
      Returns:
        this executor config instance

    - #### setQuorumName

          public ExecutorConfig setQuorumName(String quorumName)

      Deprecated.
      Description copied from class: `ExecutorConfig`
      Sets the quorum name for operations.
      Overrides:
        `setQuorumName` in class `ExecutorConfig`
      Parameters:
        `quorumName` - the quorum name
      Returns:
        the updated configuration

Copyright © 2019. All rights reserved.